using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace VSLive.WebParts.Common
{
	public class VerbLinkButton : LinkButton
	{
		private string m_eventArgument;
		private WebZone m_owner;

		public VerbLinkButton(WebZone owner, string eventArgument)
		{
			if (owner == null)
			{
				throw new ArgumentNullException("owner");
			}

			m_owner = owner;
			m_eventArgument = eventArgument;
		}

		protected override PostBackOptions GetPostBackOptions()
		{
			if (!string.IsNullOrEmpty(m_eventArgument) && 
				(m_owner.Page != null))
			{
				PostBackOptions postback = 
					new PostBackOptions(m_owner, m_eventArgument);
				postback.RequiresJavaScriptProtocol = true;
				return postback;
			}

			return base.GetPostBackOptions();
		}
	}
}
